/**
 * vue-cesium - https://github.com/zouyaoji/vue-cesium
 * Vue 2.x components for CesiumJS.
 *
 * @package VueCesium
 * @author zouyaoji <370681295@qq.com>
 * @version 2.1.6
 * @license MIT
 * @homepage https://zouyaoji.top/vue-cesium
 * @copyright (c) 2018-2020, zouyaoji <370681295@qq.com>
 */
import _Object$defineProperties from '@babel/runtime-corejs2/core-js/object/define-properties';
import _regeneratorRuntime from '@babel/runtime-corejs2/regenerator';
import bindEvents from '../../utils/bindEvent';
import { Events } from '../../utils/events';
import cmp from '../virtualCmp';

var methods = {
  mount: function mount() {
    var _this = this;

    var imageryProvider, providerContainer;
    return _regeneratorRuntime.async(function mount$(_context) {
      while (1) {
        switch (_context.prev = _context.next) {
          case 0:
            imageryProvider = this.imageryProvider, providerContainer = this.providerContainer;
            imageryProvider.readyPromise.then(function () {
              var listener = _this.$listeners['readyPromise'];
              listener && _this.$emit('readyPromise', imageryProvider);
            }).otherwise(function (error) {
              throw new Cesium.DeveloperError(error);
            });
            bindEvents.call(this, imageryProvider, Events['imagery-layer-events'], true);
            return _context.abrupt("return", providerContainer && providerContainer.setProvider(imageryProvider));

          case 4:
          case "end":
            return _context.stop();
        }
      }
    }, null, this);
  },
  unmount: function unmount() {
    var imageryProvider, providerContainer;
    return _regeneratorRuntime.async(function unmount$(_context2) {
      while (1) {
        switch (_context2.prev = _context2.next) {
          case 0:
            imageryProvider = this.imageryProvider, providerContainer = this.providerContainer;
            bindEvents.call(this, imageryProvider, Events['imagery-layer-events'], false);
            return _context2.abrupt("return", providerContainer && providerContainer.setProvider(undefined));

          case 3:
          case "end":
            return _context2.stop();
        }
      }
    }, null, this);
  }
};
var mixinImageryProvider = {
  mixins: [cmp],
  methods: methods,
  stubVNode: {
    empty: function empty() {
      return this.$options.name;
    }
  },
  created: function created() {
    var _this2 = this;

    this.renderByParent = true;

    _Object$defineProperties(this, {
      imageryProvider: {
        enumerable: true,
        get: function get() {
          return _this2.cesiumObject;
        }
      },
      providerContainer: {
        enumerable: true,
        get: function get() {
          return _this2.$services && _this2.$services.providerContainer;
        }
      }
    });
  }
};

export default mixinImageryProvider;
