/**
 * vue-cesium - https://github.com/zouyaoji/vue-cesium
 * Vue 2.x components for CesiumJS.
 *
 * @package VueCesium
 * @author zouyaoji <370681295@qq.com>
 * @version 2.1.6
 * @license MIT
 * @homepage https://zouyaoji.top/vue-cesium
 * @copyright (c) 2018-2020, zouyaoji <370681295@qq.com>
 */
/**
 * 输出正常信息到控制台。
 * @param  {...any} args
 */
function log() {
  var _console;

  for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
    args[_key] = arguments[_key];
  }

  (_console = console).log.apply(_console, ['[VueCesium]'].concat(args));
}
/**
 * 输出警告信息到控制台。
 * @param {*} msg
 * @param  {...any} args
 */

function warn(msg) {
  var _console2;

  for (var _len2 = arguments.length, args = new Array(_len2 > 1 ? _len2 - 1 : 0), _key2 = 1; _key2 < _len2; _key2++) {
    args[_key2 - 1] = arguments[_key2];
  }

  (_console2 = console).warn.apply(_console2, ["[VueCesium] WARNING: ".concat(msg)].concat(args));
}
/**
 * 输出错误信息到控制台。
 * @param {*} msg
 * @param  {...any} args
 */

function error(msg) {
  var _console3;

  for (var _len3 = arguments.length, args = new Array(_len3 > 1 ? _len3 - 1 : 0), _key3 = 1; _key3 < _len3; _key3++) {
    args[_key3 - 1] = arguments[_key3];
  }

  (_console3 = console).error.apply(_console3, ["[VueCesium] ERROR: ".concat(msg)].concat(args));
}

export { error, log, warn };
