import HypsometricSettingEnum from './HypsometricSettingEnum'
class HypsometricSetting {
  constructor () {
    const { Cartesian2, Color } = Cesium
    this._maxVisibleValue = 1.7976931348623157e+308
    this._minVisibleValue = -1.7976931348623157e+308
    this._floor = 0
    this._ceiling = 0
    this._opacity = 1
    this._updateColorDictTable = false
    this._coverageArea = []
    this._linesInterval = 100
    this._updatePolygon = !0
    this._lineColor = new Color(0, 1, 1, 1)
    this._displayMode = HypsometricSettingEnum.DisplayMode.FACE
    this._dictColorTable = undefined
    this._emissionTextureUrl = ''
    this._emissionTextureChanged = !1
    this._emissionTexCoordSpeed = new Cartesian2(0, 0)
    this._noValueColor = new Color(1, 1, 1, 1)
    this._textureFilterMode = HypsometricSettingEnum.FilterMode.LINEAR
  }

  destroy () {
    this._coverageArea.length = 0
    Cesium.defined(this._dictColorTable) && this._dictColorTable.destroy()
  }
}

export default HypsometricSetting
